<template>
    <v-container fill-height fluid class="main-container pa-0">
        <v-row align="center" justify="center" fill-height>
             <v-card class="form-container" max-width="70%">
                <v-card-title>Add New Hero</v-card-title>
                 <v-row>
                    <v-col>
                        <v-form class="form-input">
                            <v-text-field label="Name" v-model="name"></v-text-field>
                            <v-text-field label="Description" v-model="description"></v-text-field>
                            <v-btn class="mr-4" color="success" v-on:click="SaveNewHero()">Validate</v-btn>
                            <v-btn color="error">Cancel</v-btn>
                        </v-form>
                    </v-col>
                     <v-col>
                         <v-row>
                            <span>
                                <v-img height="200" width="200" :src="display_url" spect-ratio="1" eager lazy-src="https://picsum.photos/200/200"></v-img>
                            </span>
                             <v-form class="ml-5">
                                 <v-text-field label="URL" v-model="url"></v-text-field>
                             </v-form>
                         </v-row>
                     </v-col>
                 </v-row>
            </v-card>
        </v-row>
    </v-container>
</template>

<script>
    export default {
        name: "AddHeroComponent",
        data: function () {
            return{
                name: null,
                description: null,
                url: null
            }
        },
        computed:{
          display_url: function () {
            if (this.url == null ){
              const path = require('../assets/placeholder.png')
              return path
            }
            else{
              return this.url
            }
          }
        },
        methods:{
            getImage: function(path) {
                return require(path)
            },
            SaveNewHero: function () {
                // const path = this.url.split(/(?=\.)/)[0]
                // const extension = this.url.split(/(?=\.)/)[1]
                const randomId = Math.floor(Math.random()*(5000-0+1)+0);
                let newHero = {name: this.name, description: this.description,id: randomId, isFav: false, path: this.url, thumbnail: {path: null, extension: null}}
                console.log(newHero)
                this.$store.dispatch("AddNewHero", newHero)
                this.$router.push("/")
            }
        }
    }
</script>

<style scoped>
    .form-container{
        background-color: whitesmoke;
        width: 70%;
    }
    .main-container{
        background-color: #2c3e50;
        justify-content: center;
    }
    .form-input{
        padding: 5%;
    }
</style>